# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`mailhog`](#mailhog): Class to install and configure mailhog.  Use this module to install and configure mailhog.

#### Private Classes

* `mailhog::config`: Class to configure mailhog.
* `mailhog::install`: Class to install mailhog.
* `mailhog::service`: Class to manage the mailhog service.

## Classes

### `mailhog`

Class to install and configure mailhog.

Use this module to install and configure mailhog.

#### Examples

##### Declaring the class

```puppet
class { '::mailhog':
  install_method => 'archive',
  archive_source => 'https://github.com/mailhog/MailHog/releases/download/v1.0.1/MailHog_linux_amd64',
}
```

#### Parameters

The following parameters are available in the `mailhog` class.

##### `config`

Data type: `String[1]`

Mailhog config.

##### `config_file`

Data type: `Stdlib::Absolutepath`

Mailhog config file.

##### `install_dir`

Data type: `Stdlib::Absolutepath`

Location of mailhog binary release.

##### `install_method`

Data type: `Enum['package','archive']`

How to install mailhog.

##### `manage_service`

Data type: `Boolean`

Manage the mailhog service.

##### `package_name`

Data type: `String[1]`

Name of package to install.

##### `package_version`

Data type: `String[1]`

Version of mailhog to install.

##### `service_name`

Data type: `String[1]`

Name of service to manage.

##### `service_provider`

Data type: `String[1]`

Init system that is used.

##### `service_ensure`

Data type: `Enum['running','stopped']`

The state of the service.

##### `archive_source`

Data type: `Optional[Stdlib::HTTPUrl]`

Location of mailhog binary release.

Default value: ``undef``

